%define major 0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	C library for the Flickr API
Name:		flickcurl
Version:	1.25
Release:	4
License:	LGPLv2+
Group:		Networking/File transfer
Url:		http://librdf.org/flickcurl/
Source0:	http://download.dajobe.org/flickcurl/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libcares)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libexslt)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(raptor2)

%description
Flickcurl is a C library for the Flickr API, handling creating the
requests, signing, token management, calling the API, marshalling
request parameters and decoding responses. It uses libcurl to call the
REST web service and libxml2 to manipulate the XML responses. The
current version supports part of the API (see Flickcurl API coverage)
primarily the functions for reading photo, people and tags description,
uploading photos, changing tags and comments.

This package contains some utility programs using the %{name} library.

%files
%doc LICENSE-2.0.txt LICENSE.html AUTHORS
%doc NEWS NEWS.html README README.html ChangeLog coverage.html
%{_bindir}/%{name}
%{_bindir}/flickrdf
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/flickrdf.1*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	C library for the Flickr API
Group:		System/Libraries

%description -n %{libname}
Flickcurl is a C library for the Flickr API, handling creating the
requests, signing, token management, calling the API, marshalling
request parameters and decoding responses. It uses libcurl to call the
REST web service and libxml2 to manipulate the XML responses. The
current version supports part of the API (see Flickcurl API coverage)
primarily the functions for reading photo, people and tags description,
uploading photos, changing tags and comments.

%files -n %{libname}
%doc LICENSE-2.0.txt LICENSE.html AUTHORS
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{libname}
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the development files for the %{name} library.

%files -n %{devname}
%doc NOTICE
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h
%{_bindir}/%{name}-config
%{_mandir}/man1/%{name}-config.1.*
%{_datadir}/gtk-doc/html/flickcurl

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std


%changelog

* Mon Dec 26 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.25-4
- (14e99fd) Spec cleanup


